<!--
  Generated template for the NotificationMessagePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Notifications</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="grey-background">
	<div>
    <ion-list>
      <ion-item-sliding *ngFor="let m of messages; let i = index">
        <ion-item detail-push (click)="viewMessages(m.id)" text-left>
          <ion-avatar item-start>
             <img *ngIf="m.user.avatar.startsWith('/')" [src]="url+m.user.avatar">
             <img *ngIf="m.user.avatar.startsWith('h')" [src]="m.user.avatar">
          </ion-avatar>
            <strong>Ridesurf</strong><br />{{m.subject}}
        </ion-item>
        <ion-item-options side="right">
          <button ion-button color="danger" (click)="deleteMessage(m.id, i)" style="background-color: #df3e3e !important;">
            <ion-icon name="trash"></ion-icon>
            Delete
          </button>
        </ion-item-options>
      </ion-item-sliding>
    </ion-list>
	</div>

  <div *ngIf="isEmpty" class="pad-all-10 text-center">
    <p>You have no new messages.</p>
  </div>
</ion-content>
